# Uses of Interface
org.pentaho.reporting.libraries.repository.ContentLocation

Packages that use ContentLocation
Package
Description
org.pentaho.reporting.libraries.repository
org.pentaho.reporting.libraries.repository.dummy
org.pentaho.reporting.libraries.repository.email
org.pentaho.reporting.libraries.repository.file
org.pentaho.reporting.libraries.repository.stream
org.pentaho.reporting.libraries.repository.zip
org.pentaho.reporting.libraries.repository.zipreader
org.pentaho.reporting.libraries.repository.zipwriter

## Uses of ContentLocation in org.pentaho.reporting.libraries.repository

Methods in org.pentaho.reporting.libraries.repository that return ContentLocation
Modifier and Type
Method
Description
`ContentLocation`
ContentLocation.`createLocation(String name)`
Creates a new content location in the current location.
`static ContentLocation`
RepositoryUtilities.`createLocation(Repository repository, String[] name)`
Tries to create a content location with the given path-name in the repository.
`ContentLocation`
ContentEntity.`getParent()`
Returns a reference to the parent location.
`ContentLocation`
Repository.`getRoot()`
Returns the repositories root directory entry.
Constructors in org.pentaho.reporting.libraries.repository with parameters of type ContentLocation
Modifier
Constructor
Description
``
`DefaultNameGenerator(ContentLocation location)`
``
`DefaultNameGenerator(ContentLocation location, String defaultNameHint)`
``
`DefaultNameGenerator(ContentLocation location, String defaultNameHint, String defaultSuffix)`

## Uses of ContentLocation in org.pentaho.reporting.libraries.repository.dummy

Classes in org.pentaho.reporting.libraries.repository.dummy that implement ContentLocation
Modifier and Type
Class
Description
`class`
`DummyContentLocation`
A dummy content location holds references to all dummy items.
Methods in org.pentaho.reporting.libraries.repository.dummy that return ContentLocation
Modifier and Type
Method
Description
`ContentLocation`
DummyContentLocation.`createLocation(String name)`
Creates a new content location in the current location.
`ContentLocation`
DummyContentItem.`getParent()`
Returns the parent, if there is any.
`ContentLocation`
DummyContentLocation.`getParent()`
Returns the parent, if there is any.
`ContentLocation`
DummyRepository.`getRoot()`
Returns the repositories root directory entry.
Constructors in org.pentaho.reporting.libraries.repository.dummy with parameters of type ContentLocation
Modifier
Constructor
Description
``
`DummyContentItem(ContentLocation parent, String name)`
Creates a new dummy item for the given parent and having the given name.
``
`DummyContentLocation(ContentLocation parent, String name)`
Creates a new DummyContentLocation with the given parent and name.

## Uses of ContentLocation in org.pentaho.reporting.libraries.repository.email

Classes in org.pentaho.reporting.libraries.repository.email that implement ContentLocation
Modifier and Type
Class
Description
`class`
`EmailContentLocation`
Creation-Date: 17.09.2008, 15:00:00
Methods in org.pentaho.reporting.libraries.repository.email that return ContentLocation
Modifier and Type
Method
Description
`ContentLocation`
EmailContentLocation.`createLocation(String name)`
`ContentLocation`
EmailContentItem.`getParent()`
`ContentLocation`
EmailContentLocation.`getParent()`
`ContentLocation`
EmailRepository.`getRoot()`
Constructors in org.pentaho.reporting.libraries.repository.email with parameters of type ContentLocation
Modifier
Constructor
Description
``
`EmailContentLocation(EmailRepository repository, ContentLocation parent, String name)`

## Uses of ContentLocation in org.pentaho.reporting.libraries.repository.file

Classes in org.pentaho.reporting.libraries.repository.file that implement ContentLocation
Modifier and Type
Class
Description
`class`
`FileContentLocation`
A content-location that uses a directory as backend.
Methods in org.pentaho.reporting.libraries.repository.file that return ContentLocation
Modifier and Type
Method
Description
`ContentLocation`
FileContentLocation.`createLocation(String name)`
Creates a new content location in the current location.
`ContentLocation`
FileContentEntity.`getParent()`
Returns a reference to the parent location.
`ContentLocation`
FileRepository.`getRoot()`
Returns the repositories root directory entry.
Constructors in org.pentaho.reporting.libraries.repository.file with parameters of type ContentLocation
Modifier
Constructor
Description
``
`FileContentItem(ContentLocation parent, File backend)`
Creates a new file based content item for the given file and parent location.
``
`FileContentLocation(ContentLocation parent, File backend)`
Creates a new location for the given parent and directory.

## Uses of ContentLocation in org.pentaho.reporting.libraries.repository.stream

Classes in org.pentaho.reporting.libraries.repository.stream that implement ContentLocation
Modifier and Type
Class
Description
`class`
`StreamContentLocation`
A content location that wraps around a single stream.
Methods in org.pentaho.reporting.libraries.repository.stream that return ContentLocation
Modifier and Type
Method
Description
`ContentLocation`
StreamContentLocation.`createLocation(String name)`
This method always throws an exception, as stream-repositories cannot create sub-locations.
`ContentLocation`
StreamContentItem.`getParent()`
Returns a reference to the parent location.
`ContentLocation`
StreamContentLocation.`getParent()`
Returns a reference to the parent location.
`ContentLocation`
StreamRepository.`getRoot()`
Returns the content root of this repository.
Constructors in org.pentaho.reporting.libraries.repository.stream with parameters of type ContentLocation
Modifier
Constructor
Description
``
`StreamContentItem(String name, ContentLocation parent, WrappedInputStream inputStream, WrappedOutputStream outputStream)`
Creates a new stream-content item.

## Uses of ContentLocation in org.pentaho.reporting.libraries.repository.zip

Classes in org.pentaho.reporting.libraries.repository.zip that implement ContentLocation
Modifier and Type
Class
Description
`class`
`ZipContentLocation`
Methods in org.pentaho.reporting.libraries.repository.zip that return ContentLocation
Modifier and Type
Method
Description
`ContentLocation`
ZipContentLocation.`createLocation(String name)`
`ContentLocation`
ZipContentItem.`getParent()`
`ContentLocation`
ZipContentLocation.`getParent()`
`ContentLocation`
ZipRepository.`getRoot()`

## Uses of ContentLocation in org.pentaho.reporting.libraries.repository.zipreader

Classes in org.pentaho.reporting.libraries.repository.zipreader that implement ContentLocation
Modifier and Type
Class
Description
`class`
`ZipReadContentLocation`
Methods in org.pentaho.reporting.libraries.repository.zipreader that return ContentLocation
Modifier and Type
Method
Description
`ContentLocation`
ZipReadContentLocation.`createLocation(String name)`
`ContentLocation`
ZipReadContentItem.`getParent()`
`ContentLocation`
ZipReadContentLocation.`getParent()`
`ContentLocation`
ZipReadRepository.`getRoot()`

## Uses of ContentLocation in org.pentaho.reporting.libraries.repository.zipwriter

Classes in org.pentaho.reporting.libraries.repository.zipwriter that implement ContentLocation
Modifier and Type
Class
Description
`class`
`ZipContentLocation`
Creation-Date: 01.12.2006, 21:13:24
Methods in org.pentaho.reporting.libraries.repository.zipwriter that return ContentLocation
Modifier and Type
Method
Description
`ContentLocation`
ZipContentLocation.`createLocation(String name)`
`ContentLocation`
ZipContentItem.`getParent()`
`ContentLocation`
ZipContentLocation.`getParent()`
`ContentLocation`
ZipRepository.`getRoot()`
Constructors in org.pentaho.reporting.libraries.repository.zipwriter with parameters of type ContentLocation
Modifier
Constructor
Description
``
`ZipContentLocation(ZipRepository repository, ContentLocation parent, String name)`